Public Class Main
    Private Sub ClickHandler(ByVal sender As System.Object, _
     ByVal e As System.EventArgs) Handles cmdA.Click, cmdB.Click, cmdC.Click

        Dim ctrl As Control

        ' Convert the unidentified sender object to a more useful form.
        ' Konwersja niezidentyfikowanego obiektu "sender" do bardziej użytecznej postaci.
        ctrl = CType(sender, Control)

        MessageBox.Show("Kliknąłeś przycisk o nazwie: " & ctrl.Name, "Event Tracker - śledzenie zdarzeń")

    End Sub

    Private Sub Main_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub
End Class